package enseirb.myinpulse.postgres_db.model;

import jakarta.persistence.Entity;
import jakarta.persistence.*;
import jakarta.persistence.Table;

@Entity
@Table(name = "entrepreneurs")
@PrimaryKeyJoinColumn(name = "id_entrepreneur")
public class Entrepreneurs extends Utilisateurs {

    @Column(length = 255)
    private String ecole;

    @Column(length = 255)
    private String filiere;

    private boolean status_snee;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "Projets.id_projets")
    private Projets projets_participation;

    @OneToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "Projets.id_projets")
    private Projets projets_propose;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "RendezVous.id_rdv")
    private RendezVous rendezVous;

    public Entrepreneurs() {}

    public Entrepreneurs(
            String nom_utilisateur,
            Long id_utilisateur,
            String prenom_utilisateur,
            String mail_principal,
            String mail_secondaire,
            String numero_telephone,
            String ecole,
            boolean status_snee,
            String filiere) {
        super(
                nom_utilisateur,
                id_utilisateur,
                prenom_utilisateur,
                mail_principal,
                mail_secondaire,
                numero_telephone);
        this.ecole = ecole;
        this.status_snee = status_snee;
        this.filiere = filiere;
    }

    public String getEcole() {
        return ecole;
    }

    public void setEcole(String ecole) {
        this.ecole = ecole;
    }

    public String getFiliere() {
        return filiere;
    }

    public void setFiliere(String filiere) {
        this.filiere = filiere;
    }

    public boolean isStatus_snee() {
        return status_snee;
    }

    public void setStatus_snee(boolean status_snee) {
        this.status_snee = status_snee;
    }
}
